org.icefaces.ace.component.fileentry

## Class FileEntryResults.FileInfo

- java.lang.Object
- - org.icefaces.ace.component.fileentry.FileEntryResults.FileInfo

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable
  Enclosing class:
    FileEntryResults

      public static class FileEntryResults.FileInfo
      extends java.lang.Object
      implements java.io.Serializable, java.lang.Cloneable

  See Also:
    Serialized Form

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `boolean` | `equals(java.lang.Object o)`
    `java.lang.String` | `getContentType()`
    `java.io.File` | `getFile()`
    `java.lang.String` | `getFileName()`
    `long` | `getSize()`
    `FileEntryStatus` | `getStatus()`
    `int` | `hashCode()`
    `boolean` | `isSaved()`
    `java.lang.String` | `toString()`
    `void` | `updateStatus(FileEntryStatus newStatus, boolean invalidate)` In the callback, applications may override the uploaded files' statuses, if the files fail the application's custom validation, by using this method.
    `void` | `updateStatus(FileEntryStatus newStatus, boolean invalidate, boolean deleteFile)` In the fileEntryListener, applications may override the uploaded files' statuses, if the files fail the application's custom validation, by using this method.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### updateStatus

          public void updateStatus(FileEntryStatus newStatus,
                                   boolean invalidate,
                                   boolean deleteFile)

      In the fileEntryListener, applications may override the uploaded files' statuses, if the files fail the application's custom validation, by using this method. They can even set a custom status, with its own message format for the faces message.
      Parameters:
        `newStatus` - The new status for the uploaded file
        `invalidate` - If should invalidate the component, and the form. This will only have an effect if this method is called before UpdateModel phase, such as when called from the fileEntryListener when the fileEntry has immediate=true.
        `deleteFile` - If should delete the file from the file-system

    - #### updateStatus

          public void updateStatus(FileEntryStatus newStatus,
                                   boolean invalidate)

      In the callback, applications may override the uploaded files' statuses, if the files fail the application's custom validation, by using this method. They can even set a custom status, with its own message format for the faces message.
      Parameters:
        `newStatus` - The new status for the uploaded file
        `invalidate` - If should invalidate the component, and the form.

    - #### getFileName

          public java.lang.String getFileName()

    - #### getContentType

          public java.lang.String getContentType()

    - #### getFile

          public java.io.File getFile()

    - #### getSize

          public long getSize()

    - #### getStatus

          public FileEntryStatus getStatus()

    - #### isSaved

          public boolean isSaved()

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### clone

          public java.lang.Object clone()

      Overrides:
        `clone` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.